Bug 703291 - Intel 6230agn is not being detected
Intel 6230agn is not being detected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F15-accepted/F15FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-05-09 16:47 EDT by Julian Sikorski
Modified: 2013-07-04 08:55 EDT (History)
8 users (show)

See Also:
Fixed In Version: lorax-0.4.6-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-16 15:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (72.62 KB, text/plain)
2011-05-09 16:48 EDT, Julian Sikorski
no flags Details
ifcfg.log (5.15 KB, text/plain)
2011-05-09 16:48 EDT, Julian Sikorski
no flags Details
program.log (96.99 KB, text/plain)
2011-05-09 16:48 EDT, Julian Sikorski
no flags Details
storage.log (355.21 KB, application/octet-stream)
2011-05-09 16:49 EDT, Julian Sikorski
no flags Details
anaconda syslog (121.05 KB, text/plain)
2011-05-09 16:49 EDT, Julian Sikorski
no flags Details
yum.log (1.65 KB, application/octet-stream)
2011-05-09 16:50 EDT, Julian Sikorski
no flags Details
X.log (38.78 KB, application/octet-stream)
2011-05-09 16:50 EDT, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2011-05-09 16:47:27 EDT
Description of problem:
I cannot install Fedora 15 since wireless network is not working. The card is intel 6230agn. This happens on a Clevo P150HM laptop.

Version-Release number of selected component (if applicable):
15.27

How reproducible:
always

Steps to Reproduce:
1. Try to install fedora 15 with boot.iso transferred to an USB stick
  
Actual results:
Only wired card is detected, but it is no good due to bug 730289

Expected results:
Wireless card is detected

Additional info:
Please let me know if more info is needed.
Comment 1 Julian Sikorski 2011-05-09 16:48:00 EDT
Created attachment 497911 [details]
anaconda.log
Comment 2 Julian Sikorski 2011-05-09 16:48:24 EDT
Created attachment 497912 [details]
ifcfg.log
Comment 3 Julian Sikorski 2011-05-09 16:48:50 EDT
Created attachment 497913 [details]
program.log
Comment 4 Julian Sikorski 2011-05-09 16:49:31 EDT
Created attachment 497914 [details]
storage.log
Comment 5 Julian Sikorski 2011-05-09 16:49:55 EDT
Created attachment 497916 [details]
anaconda syslog
Comment 6 Julian Sikorski 2011-05-09 16:50:17 EDT
Created attachment 497917 [details]
yum.log
Comment 7 Julian Sikorski 2011-05-09 16:50:39 EDT
Created attachment 497918 [details]
X.log
Comment 8 Chris Lumens 2011-05-09 16:56:52 EDT
21:56:44,203 ERR kernel:[   13.205873] iwlagn 0000:04:00.0: request for firmware file 'iwlwifi-6000g2b-5.ucode' failed.
21:56:44,204 ERR kernel:[   13.207542] iwlagn 0000:04:00.0: request for firmware file 'iwlwifi-6000g2b-4.ucode' failed.
21:56:44,204 ERR kernel:[   13.207547] iwlagn 0000:04:00.0: no suitable firmware found!
Comment 9 James Laska 2011-05-10 08:56:05 EDT
(In reply to comment #6)
> Discussed in the 2011-05-06 blocker review meeting. Rejected as F15 final
> blocker as it does not clearly hit any release criteria. Accepted as NTH since
> it would be nice to fix the error message and a fix is already available.

This is the same issue as bug#701622, I'm carrying forward the same decision to accept this issue as a NTH. rather than continuing to track the change in the previous bug.
Comment 10 Julian Sikorski 2011-05-10 09:41:51 EDT
Well, I am not familiar with release criteria, but not working network equals to unable to install the system (unless I go for the full DVD, of course). Wired network is also broken, described in the bug 703289.
Comment 11 Julian Sikorski 2011-05-10 09:43:35 EDT
Moreover, if I get this right, if this hits F15 final it is over - afaik isos are never updated after the release.
Comment 12 James Laska 2011-05-10 09:58:58 EDT
Wireless networking during installation is not a release criteria.  Either way, if a fix is available in time, it will be included in Fedora 15.

https://fedoraproject.org/wiki/Fedora_Release_Criteria
Comment 13 Fedora Update System 2011-05-10 11:19:01 EDT
lorax-0.4.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lorax-0.4.6-1.fc15
Comment 14 James Laska 2011-05-10 11:55:36 EDT
(In reply to comment #11)
> Moreover, if I get this right, if this hits F15 final it is over - afaik isos
> are never updated after the release.

A custom-built boot.iso is available for you to verify whether this issue is resolved.

http://jlaska.fedorapeople.org/updates/anaconda-15.31-1/

Can you download and boot the boot-x86_64.iso (if needed, a 32bit image will be arriving shortly) image and provide test feedback?
Comment 15 Julian Sikorski 2011-05-10 12:34:56 EDT
This file seems corrupted:
sha256sum boot-x86_64.iso 
771821b036834950d39d1971604ccd9b495546d8ad9e1ad6f8f9c0649ab80bde  boot-x86_64.iso
Comment 16 James Laska 2011-05-10 12:47:03 EDT
(In reply to comment #15)
> This file seems corrupted:
> sha256sum boot-x86_64.iso 
> 771821b036834950d39d1971604ccd9b495546d8ad9e1ad6f8f9c0649ab80bde 
> boot-x86_64.iso

Your sha256sum is correct, the sha'sums were out of date.  I've updated that file now.
Comment 17 Julian Sikorski 2011-05-10 14:31:16 EDT
It works using iso provided by jlaska transferred to a USB stick using livecd-iso-to-disk (plain dd does not result in a working bootable USB for some reason).
Comment 18 James Laska 2011-05-10 14:57:38 EDT
Moving to VERIFIED based on feedback in comment#17, thanks Julian and Martin!
Comment 19 Fedora Update System 2011-05-11 01:50:05 EDT
Package lorax-0.4.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-0.4.6-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lorax-0.4.6-1.fc15
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2011-05-16 15:08:52 EDT
lorax-0.4.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Wolnei Junior 2011-06-10 23:40:16 EDT
Problems still persist, detection only works with installation of the package iwl6000g2b-firmware.noarch

But the connection speed of this driver, dont work with 802.11n speeds.

Note You need to log in before you can comment on or make changes to this bug.